%define name rpm-mandriva-setup
%define version 1.5
%define release %mkrel 1

# This can be usefull for backport as rpm-4.2
# provide the emacs-spec mode
%define have_emacsmodespec 1

%if %mdkversion < 200600
%define have_emacsmodespec 0
%endif

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 1}

Summary: The Mandriva rpm configuration and scripts
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
Url: http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/rpm-setup/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Mandriva rpm configuration and scripts

%package build
Group: System/Configuration/Packaging
Summary: The Mandriva rpm configuration and scripts to build rpms
Requires: spec-helper >= 0.6-5mdk
Requires: multiarch-utils >= 1.0.3
Requires: %name = %version-%release
%if have_emacsmodespec
Conflicts: rpm < 4.4.1
%endif

%description build
The Mandriva rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d

%if have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (mandrakized)." t)
EOF
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%dir %_prefix/lib/rpm/mandriva
%_prefix/lib/rpm/mandriva/rpmrc
%_prefix/lib/rpm/mandriva/macros
%_prefix/lib/rpm/mandriva/rpmpopt
%_prefix/lib/rpm/mandriva/*-%_target_os

%dir %{_sysconfdir}/rpm/macros.d

%files build
%defattr(-,root,root)
%exclude %_prefix/lib/rpm/mandriva/rpmrc
%exclude %_prefix/lib/rpm/mandriva/macros
%exclude %_prefix/lib/rpm/mandriva/rpmpopt
%exclude %_prefix/lib/rpm/mandriva/*-%_target_os
%_prefix/lib/rpm/mandriva/*

%if have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif

%changelog
* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5-1mdk
- make generation of debug packages work again
- factor out compile flags and build with -D_FORTIFY_SOURCE=2

* Thu Aug 18 2005 Olivier Thauvin <nanardon@mandriva.org> 1.4-1mdk
- fix php.req about include of relatives path (P. Terjan)

* Tue Aug 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.3-1mdk
- check-multiarch-files: fix invocation and path (/usr/lib/rpm/check-*),
  default to not check for multiarch files in 2006

* Sun Aug 07 2005 Olivier Thauvin <nanardon@zarb.org> 1.2-1mdk
- add req/prov for php pear
- add conectiva macros

* Sat Jun 25 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-4mdk
- require multiarch-utils

* Thu Jun 23 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-3mdk
- enforce requirement to avoid conflict during update

* Wed Jun 22 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1-2mdk
- split package for dep

* Mon Jun 13 2005 Olivier Thauvin <nanardon@zarb.org> 1.1-1mdk
- few connectiva macros
- from Gwenole Beauchesne
  - merge from old ppc64 branch:
  * find-requires: handle ppc64 loaders

* Wed May 25 2005 Olivier Thauvin <nanardon@zarb.org> 1.0-1mdk
- 1.0:
  - disable automatic gpg key query on server
  - add automatic require for ocaml (G. Rousse)

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.8-1mdk
- 0.8: fix %%_localstatedir

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- 0.7 (integrate spec mode for emacs)

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- 0.6 %_libexecdir

* Mon May 09 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5-1mdk
- 0.5 (translate pentium[34] => i586)

* Fri May 06 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4-1mdk
- 0.4
  - fix popt options

* Tue May 03 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3 (better compatiblity)

* Sun May 01 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-1mdk
- 0.2 (minor fix)

* Wed Apr 27 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1-1mdk
- First mandriva spec

